Bug 664885 - sec policy crashing kde printer-applet
sec policy crashing kde printer-applet
Status: CLOSED DUPLICATE of bug 711719
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F16Target-kde F17Target-kde
  Show dependency treegraph
 
Reported: 2010-12-21 20:10 EST by Jerry Amundson
Modified: 2012-08-16 19:31 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 167125 None None None Never

  None (edit)
Description Jerry Amundson 2010-12-21 20:10:30 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
often

Steps to Reproduce:
1.setup a vnc-server desktop running kde
2.login to desktop
3.
  
Actual results:
crash

Expected results:
no crash

Additional info:
Package:    	kdeutils-printer-applet-6:4.5.2-1.fc14
Latest Crash:	Mon 20 Dec 2010 09:22:05 PM 
Command:    	python /usr/bin/printer-applet
Reason:     	connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.50" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
Comment:    	have a vnc desktop.
Bug Reports:	Status: CLOSED ERRATA
		https://bugzilla.redhat.com/show_bug.cgi?id=499183
Comment 1 Jerry Amundson 2010-12-22 14:24:33 EST
Possibly related bug upstream.
Comment 2 Rex Dieter 2010-12-22 14:33:50 EST
In your case, it's ConsoleKit treating you as a non-local user (which is true), and denying access.

What *should* happen is for the kde printer applet to handle that more gracefully (and probably just quit/exit).
Comment 3 Jerry Amundson 2010-12-27 19:26:24 EST
(In reply to comment #2)
> In your case, it's ConsoleKit treating you as a non-local user (which is true),
> and denying access.

That, then, seems to be the underlying problem - a "single user" ideology being applied to what has always been, and always will be, a multi-user system.

> What *should* happen is for the kde printer applet to handle that more
> gracefully (and probably just quit/exit).

I don't see a problem with "NewPrinterNotification" functioning correctly for any user logged into a system.

Re-assigned to ConsoleKit.
Comment 4 Kevin Kofler 2010-12-28 09:50:38 EST
ConsoleKit is working as designed.

There are 2 issues here:
1. The interface is locked down at D-Bus level. IMHO it would make more sense to control this through PolicyKit, where it's easier for admins to tweak the ACLs to allow remote access.
2. The kdeutils-printer-applet is throwing an uncaught exception instead of doing something sensible (most likely just not show the applet at all if you're not allowed to print).

I'm also CCing Tim Waugh, the author and maintainer of the system-config-printer core (and the GTK+ interface and applet) on this report.
Comment 5 Tim Waugh 2011-01-04 06:18:10 EST
The system-config-printer-applet program handles this case correctly and simply does not register that D-Bus service.
Comment 6 lcameron 2011-02-18 18:13:44 EST
I had a similar issue, though I use NoMachine server as opposed to VNC.
I solved it by creating a file named 'printer-applet.desktop' in '~/.config/autostart/' and adding the following information.

[Desktop Entry]
Hidden=true


Another viable option would be to add 'exit()' to the 3rd line of /usr/bin/printer-applet

-lcameron
Comment 7 lcameron 2011-02-18 18:16:14 EST
Almost forgot, my above comment is ok if you don't want to see printer-applet at all, you should still have no issues printing.

-lcameron
Comment 8 Fedora End Of Life 2012-08-16 17:10:06 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Kevin Kofler 2012-08-16 19:31:26 EDT
This is still current, now tracked under bug #711719 with many duplicates ("thanks" to ABRT).

*** This bug has been marked as a duplicate of bug 711719 ***

Note You need to log in before you can comment on or make changes to this bug.